View Issue Details

IDProjectCategoryView StatusLast Update
0032044LazarusWidgetsetpublic2019-11-05 05:10
ReporterDavid JenkinsAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformCocoaOSOSXOS Version
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0032044: TCocoaButton.lclSetFrame() changes every button to have bezelstyle NSTexturedSquare or NSTexturedRounded
DescriptionWhen buttons are created, a bezel style is passed in and passed to Self.setBezelStyle. However, as soon as lclSetFrame() is called (which happens during autosizing) any bezel style set previously will be changed to NSTexturedRoundedBezelStyle or NSTexturedSquareBezelStyle.

One result is that base buttons never turn blue on click as expected with OSX.


Steps To ReproduceCreate a standard button.
Additional InformationI believe this code should be reworked so that it only operates on buttons that must absolutley be resized (TBitBtn?). Fixed height standard buttons is a part of OSX look and feel.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Dmitry Boyarintsev

2019-11-05 05:10

developer   ~0119066

Tbuttons are pushbuttons - keeping the same look and shape at all times
Tbitbtn are resizable buttons
currently cocoa works as desired in the description

please close

Issue History

Date Modified Username Field Change
2017-06-20 21:26 David Jenkins New Issue
2017-06-23 06:14 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2017-06-23 06:14 Felipe Monteiro de Carvalho Status new => assigned
2019-11-02 21:47 Dmitry Boyarintsev LazTarget => -
2019-11-02 21:47 Dmitry Boyarintsev Widgetset => Cocoa
2019-11-05 05:10 Dmitry Boyarintsev Status assigned => resolved
2019-11-05 05:10 Dmitry Boyarintsev Resolution open => fixed
2019-11-05 05:10 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2019-11-05 05:10 Dmitry Boyarintsev Note Added: 0119066